Libical API Documentation 3.0

Public Member Functions
LibICal::VTimezone Class Reference
Inheritance diagram for LibICal::VTimezone:
[legend]

## Public Member Functions
| VTimezone (const std::string &str)
| VTimezone (const VTimezone &)
| VTimezone (icalcomponent *v)
VTimezone & | operator= (const VTimezone &)
Public Member Functions inherited from LibICal::VComponent
| VComponent (const icalcomponent_kind &kind)
| VComponent (const std::string &str)
| VComponent (const VComponent &)
| VComponent (icalcomponent *v)
bool | add (VComponent &)
void | add_component (VComponent *child)
void | add_property (ICalProperty *property)
| Working with properties.
std::string | as_ical_string ()
icalcompiter | begin_component (const icalcomponent_kind &kind)
| Using external iterators.
void | convert_errors ()
| Convert some X-LIC-ERROR properties into RETURN-STATUS properties.
int | count_components (const icalcomponent_kind &kind)
int | count_errors ()
| Working with embedded error properties.
int | count_properties (const icalproperty_kind &kind)
VComponent * | current (icalcompiter *i)
void | detach ()
icalcompiter | end_component (const icalcomponent_kind &kind)
std::string | get_comment () const
VComponent * | get_current_component ()
| Iterate through components. More...
ICalProperty * | get_current_property ()
std::string | get_description () const
struct icaltimetype | get_dtend () const
struct icaltimetype | get_dtstamp () const
struct icaltimetype | get_dtstart () const
struct icaltimetype | get_due () const
struct icaldurationtype | get_duration () const
VComponent * | get_first_component (const icalcomponent_kind &kind)
ICalProperty * | get_first_property (const icalproperty_kind &kind)
VComponent * | get_first_real_component ()
VComponent * | get_inner ()
std::string | get_location () const
icalproperty_method | get_method () const
VComponent * | get_next_component (const icalcomponent_kind &kind)
ICalProperty * | get_next_property (const icalproperty_kind &kind)
struct icaltimetype | get_recurrenceid () const
std::string | get_relcalid () const
int | get_sequence () const
virtual struct icaltime_span | get_span ()
int | get_status () const
std::string | get_summary () const
std::string | get_uid () const
bool | is_valid ()
icalcomponent_kind | isa ()
int | isa_component (void *component)
void | new_from_string (const std::string &str)
VComponent * | next (icalcompiter *i)
| operator icalcomponent * ()
VComponent & | operator= (const VComponent &)
VComponent * | prev (icalcompiter *i)
int | recurrence_is_excluded (struct icaltimetype *dtstart, struct icaltimetype *recurtime)
bool | remove (VComponent &, bool ignoreValue)
| Note: the VComponent kind have to be the same.
void | remove_component (VComponent *child)
void | remove_property (ICalProperty *property)
void | set_comment (const std::string &v)
void | set_description (const std::string &v)
void | set_dtend (const struct icaltimetype &v)
void | set_dtstamp (const struct icaltimetype &v)
void | set_dtstart (const struct icaltimetype &v)
void | set_due (const struct icaltimetype &v)
void | set_duration (const struct icaldurationtype &v)
void | set_location (const std::string &v)
void | set_method (const icalproperty_method &method)
void | set_recurrenceid (const struct icaltimetype &v)
void | set_relcalid (const std::string &v)
void | set_sequence (const int &v)
void | set_status (const enum icalproperty_status &v)
void | set_summary (const std::string &v)
void | set_uid (const std::string &v)
void | strip_errors ()
| Remove all X-LIC-ERROR properties.
bool | update (VComponent &, bool removeMissing)

## Additional Inherited Members
Static Public Member Functions inherited from LibICal::VComponent
static std::string | kind_to_string (const icalcomponent_kind &kind)
static icalcomponent_kind | string_to_kind (const std::string &str)
| Kind conversion routines.

The documentation for this class was generated from the following file:

- vcomponent_cxx.h